Skip to main content
GET
/
applications
/
{id}
/
domains
List application domains
curl --request GET \
  --url https://api.sevalla.com/v3/applications/{id}/domains \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
      "name": "app.example.com",
      "status": "ACTIVE",
      "type": "CUSTOM",
      "is_enabled": true,
      "is_wildcard": false,
      "is_primary": true,
      "dns_records": [
        {
          "type": "CNAME",
          "name": "app.example.com",
          "value": "cname.sevalla.com"
        }
      ],
      "errors": null,
      "created_at": "2025-01-30T00:00:00.000Z",
      "updated_at": "2025-01-30T00:00:00.000Z"
    }
  ],
  "total": 42,
  "offset": 0,
  "limit": 25
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Application identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Query Parameters

limit
integer
default:25

Maximum number of items per page

Required range: 1 <= x <= 100
Example:

25

offset
integer
default:0

Number of items to skip

Required range: 0 <= x <= 10000
Example:

0

Response

Default Response

data
object[]
required

List of items

total
integer
required

Total number of items matching the query

Required range: 0 <= x <= 10000
Example:

42

offset
integer
required

Current pagination offset

Required range: 0 <= x <= 10000
Example:

0

limit
integer
required

Current pagination limit

Required range: 1 <= x <= 100
Example:

25